#!/bin/sh

name="httpd"
title="httpd"
package="httpd"
version="2.0.46"
build="1"
noarch="n"
build_info="Standard build."

info="The number one HTTP server on the Internet."
desc="The Apache HTTP Server Project is an effort to develop and
maintain an open-source HTTP server for modern operating
systems including UNIX and Windows NT. The goal of this project
is to provide a secure, efficient and extensible server that
provides HTTP services in sync with the current HTTP standards.
Apache has been the most popular web server on the Internet."
category="net/server/http"
environment="daemon"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT_APACHE,CHANGES,INSTALL,LAYOUT,LICENSE,README*,ROADMAP"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.apache.org/dist/httpd/$name-$version.tar.gz

configure_option --enable-layout=Slackware
configure_option --enable-modules=all
configure_option --enable-mods-shared=all
configure_option --disable-auth-digest
configure_option --enable-cache
configure_option --enable-disk-cache
configure_option --enable-mem-cache
configure_option --enable-ext-filter
configure_option --enable-deflate
configure_option --enable-proxy
configure_option --enable-proxy-connect
configure_option --enable-proxy-ftp
configure_option --enable-proxy-http
configure_option --enable-ssl
configure_option --enable-suexec
configure_option --enable-cgid

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

./buildconf

cat $src_pkg/layout.slack > config.layout

do_configure
do_make
do_install

rm -f $pkg_main/usr/sbin/envvars-std
rm -f $pkg_main/etc/apache/{highperformance,httpd,ssl}.conf

copy $src_pkg/rc.httpd $pkg_main/etc/rc.d
chmod a+x $pkg_main/etc/rc.d/rc.httpd

cat $src_pkg/php.conf >> $pkg_main/etc/apache/httpd-std.conf

make_docs

make_package main

clean_up

# $Log: httpd.builder,v $
# Revision 1.18  2003/05/28 19:36:55  swiergot
# - Build 1.
#
# Revision 1.17  2003/05/28 18:37:40  swiergot
# - Oh, now it is version 2.0.46 :-)
#
# Revision 1.16  2003/05/28 18:31:41  swiergot
# - Version 2.0.46.
# - Removed apr and apr-util layout setting.
#
# Revision 1.15  2003/05/28 13:33:57  swiergot
# - Build 2.
#
# Revision 1.14  2003/05/28 13:23:47  swiergot
# - Append mod_php.conf inclusion example to httpd-std.conf.
#
# Revision 1.13  2003/04/02 14:31:42  swiergot
# - Build 1.
#
# Revision 1.12  2003/04/02 14:19:39  swiergot
# - Use layout.slack.apr also as a layout for apr-util.
#
# Revision 1.11  2003/04/02 14:12:51  swiergot
# - Renamed config.layout.slack to layout.slack.httpd.
# - Added layout.slack.apr for APR library.
#
# Revision 1.10  2003/04/02 13:30:09  swiergot
# - Version 2.0.45.
#
# Revision 1.9  2003/02/07 19:38:29  swiergot
# - Build 1.
#
# Revision 1.8  2003/01/22 16:28:36  swiergot
# - Version 2.0.44.
#
# Revision 1.7  2003/01/17 19:20:23  swiergot
# - Enabled modules: cache, disk-cache, mem-cache, ext-filter, deflate, proxy,
#   proxy-connect, proxy-ftp, proxy-http, ssl, suexec, cgid.
#
# Revision 1.6  2003/01/17 14:58:31  swiergot
# - Added configure_option --enable-modules=all.
#
# Revision 1.5  2002/12/29 12:54:38  swiergot
# - Build 2.
#
# Revision 1.4  2002/12/28 23:51:02  swiergot
# - Run buildconf before configure. We need this to make mod_python work.
#
# Revision 1.3  2002/12/26 14:40:30  swiergot
# - Build 1.
#
# Revision 1.2  2002/12/26 14:18:04  swiergot
# - Remove unneeded usr/sbin/envvars-std after do_install.
#
# Revision 1.1  2002/12/26 13:40:54  swiergot
# - Initial release.
# - Version 2.0.43.
#
